package matrixPower;

/* Trida prvku matice */
public class Coordinate {
    
	private int row;    /* cislo radku */
        private int column; /* cislo sloupce */
        private int value;  /* hodnota prvku */
	
	public Coordinate(){
		this.setColumn(-1);
		this.setRow(-1);
		this.setValue(-1);
	}
	
	public Coordinate(int row, int column){
		this.setColumn(column);
		this.setRow(row);
		this.setValue(0);
	}
	
	public Coordinate(int row, int column, int value){
		this.setColumn(column);
		this.setRow(row);
		this.setValue(value);
	}

	public void setRow(int row) {
		this.row = row;
	}

	public int getRow() {
		return row;
	}

	public void setColumn(int column) {
		this.column = column;
	}

	public int getColumn() {
		return column;
	}

	public void setValue(int value) {
		this.value = value;
	}

	public int getValue() {
		return value;
	}
	
    @Override
	public String toString(){
		return "[" + this.getRow() + "," + this.getColumn() + "]=" + this.getValue();
	}
	
        /* prvek se souradnicemi -1 neni platny */
	public boolean isEmpty(){
		return ((this.getColumn() == -1) && (this.getRow() == -1));
	}
	
	
}
