package matrixPower;

/* Trida pro kontrolni vypocet mocniny matice bez pouziti vlaken */
public class MatrixHandler {
	
	/* vypocet mocniny matice */
	public Matrix power(Matrix matrix, int k){
		if (k < 1){
			return null;
		}
		
		Matrix result = matrix;
		
		for (int i = 0; i < k - 1; i++){
			result = this.multiply(result, matrix);
		}		
		
		return result;
	}
	
        /* vynasobeni dvou matic */
	private Matrix multiply(Matrix a, Matrix b){
		if (a.getGrade() != b.getGrade()){
			return null;
		}
		int grade = a.getGrade();
		Matrix result = new Matrix(grade);
		int sum;
		
		for (int i = 0; i < grade; i++){
			for (int j = 0; j < grade; j++){
				sum = 0;
                                for (int m = 0; m < grade; m++){
					sum += a.get(i , m) * b.get(m, j);
				}
				result.set(i, j, sum);
			}
		}		
		
		return result;
	}
}
